<?php

if ( ! defined( 'ABSPATH' ) ) {

	die( '-1' );

}



class WPBakeryShortCode_vc_before_after extends WPBakeryShortCode {



	protected function content( $atts, $content = null ) {



		extract( shortcode_atts( array(

			'image_id'			=>		'horizontal',

			'alt'			=>		'horizontal',

			'text'				=>		'',

			'image_id2'			=>		'',

			'alt2'			=>		'',

			'text2'				=>		'',

			'direction'			=>		'horizontal',

			'onhover'			=>		'false',

			'handle'			=>		'false',

			'onclick'			=>		'true',

			'img_height'		=>		'',

			'img_mbl'			=>		'',

		), $atts ) );

		$some_id = rand(5, 500);

		if ($image_id != '') {

			$image_url = wp_get_attachment_url( $image_id );		

		}

		if ($image_id2 != '') {

			$image_url2 = wp_get_attachment_url( $image_id2 );		

		}

		wp_enqueue_style( 'before-after-css', plugins_url( '../css/BeforeAfter.css' , __FILE__ ));

		wp_enqueue_script( 'event-move-js', plugins_url( '../js/jquery.event.move.js' , __FILE__ ), array('jquery'));

		wp_enqueue_script( 'jquery-twenty-js', plugins_url( '../js/jquery.twentytwenty.js' , __FILE__ ), array('jquery'));

		// wp_enqueue_script( 'custom-twenty-js', plugins_url( '../js/custom-after-before.js' , __FILE__ ), array('jquery'));

		$content = wpb_js_remove_wpautop($content, true);

		ob_start(); ?>

		<div class="img-comparison-<?php echo $some_id; ?>">

			<div class="twentytwenty-container" data-orientation="<?php echo $direction; ?>" style="height: <?php echo $img_height; ?>px;">

	          <img src="<?php echo $image_url; ?>" alt="<?php echo $alt; ?>" style="width: 100%; height: <?php echo $img_height; ?>px;"/>

	          <img src="<?php echo $image_url2; ?>" alt="<?php echo $alt2; ?>" style="width: 100%; height: <?php echo $img_height; ?>px;"/>

	        </div>

        </div>

		<style>

			.img-comparison-<?php echo $some_id; ?> .twentytwenty-vertical .twentytwenty-before-label:before {

				content: '<?php echo $text; ?>' !important;

			}

			.img-comparison-<?php echo $some_id; ?> .twentytwenty-vertical .twentytwenty-after-label:before {

				content: '<?php echo $text2; ?>' !important;

			}



			.img-comparison-<?php echo $some_id; ?> .twentytwenty-horizontal .twentytwenty-before-label:before {

				content: '<?php echo $text; ?>' !important;

			}

			.img-comparison-<?php echo $some_id; ?> .twentytwenty-horizontal .twentytwenty-after-label:before {

				content: '<?php echo $text2; ?>' !important;

			}

			@media only screen and (max-width: 768px) {

				.img-comparison-<?php echo $some_id; ?> .twentytwenty-container, 

				.img-comparison-<?php echo $some_id; ?> .twentytwenty-container img{

					height: <?php echo $img_mbl; ?>px !important;

				}

			}

		</style>



		<?php

		return ob_get_clean();

	}

}





vc_map( array(

	"name" 			=> __( 'Before After Image', 'before' ),

	"base" 			=> "vc_before_after",

	"category" 		=> __('Mega Addons'),

	"description" 	=> __('Compare the images', 'before'),

	"icon" => plugin_dir_url( __FILE__ ).'../icons/beforeAfter.png',

	'params' => array(

		array(

            "type" 			=> 	"attach_image",

			"heading" 		=> 	__( 'Before Image', 'before' ),

			"param_name" 	=> 	"image_id",

			"description" 	=> 	__( 'Select the image', 'before' ),

			"group" 		=> 	'Image',

        ),

        array(

            "type" 			=> 	"textfield",

			"heading" 		=> 	__( 'Alternate Text', 'info-banner-vc' ),

			"param_name" 	=> 	"alt",

			"description" 	=> 	__( 'It will be used as alt attribute of img tag', 'info-banner-vc' ),

			"group" 		=> 	'Image',

        ),

        array(

            "type" 			=> 	"textfield",

			"heading" 		=> 	__( 'Before Lable', 'before' ),

			"param_name" 	=> 	"text",

			"description" 	=> 	__( 'wirte text with befor image', 'before' ),

			"group" 		=> 	'Image',

        ),

        array(

            "type" 			=> 	"attach_image",

			"heading" 		=> 	__( 'After Image', 'before' ),

			"param_name" 	=> 	"image_id2",

			"description" 	=> 	__( 'Select the image', 'before' ),

			"group" 		=> 	'Image',

        ),

        array(

            "type" 			=> 	"textfield",

			"heading" 		=> 	__( 'Alternate Text', 'info-banner-vc' ),

			"param_name" 	=> 	"alt2",

			"description" 	=> 	__( 'It will be used as alt attribute of img tag', 'info-banner-vc' ),

			"group" 		=> 	'Image',

        ),

        array(

            "type" 			=> 	"textfield",

			"heading" 		=> 	__( 'After Lable', 'before' ),

			"param_name" 	=> 	"text2",

			"description" 	=> 	__( 'wirte text with after image', 'before' ),

			"group" 		=> 	'Image',

        ),

		array(

            "type" 			=> 	"dropdown",

			"heading" 		=> 	__( 'Orientation', 'before' ),

			"param_name" 	=> 	"direction",

			"description" 	=> 	__( 'select slider movement', 'before' ),

			"group" 		=> 	'Settings',

			"value"			=>		array(

				'Horizontal'	=>		'horizontal',

				'Vertical'		=>		'vertical',

			)

        ),



        array(

			"type"             => "text",

			"param_name"       => "wdo_title_text_typography",

			"heading"          => "<b>" . __( "Image Height", "before" ) . "</b>",

			"value"            => "",

			"edit_field_class" => "vc_col-sm-12 wdo_margin_top",

			"group"            => "Settings"

		),

		array(

			"type" 			=> 	"vc_number",

			"heading" 		=> 	__( 'On Desktop', 'before' ),

			"edit_field_class" => "vc_col-sm-4 wdo_items_to_show wdo_margin_bottom",

			"suffix" 		=> 'px',

			"param_name" 	=> 	"img_height",

			"group" 		=> 'Settings',

		),

		array(

			"type" 			=> 	"vc_number",

			"heading" 		=> 	__( 'On Mobile', 'before' ),

			"suffix" 		=> 'px',

			"edit_field_class" => "vc_col-sm-4 wdo_items_to_show wdo_margin_bottom",

			"param_name" 	=> 	"img_mbl",

			"group" 		=> 'Settings',

		),



   //      array(

   //          "type" 			=> 	"dropdown",

			// "heading" 		=> 	__( 'Move Slider On Hover', 'before' ),

			// "param_name" 	=> 	"onhover",

			// "group" 		=> 	'Settings',

			// "value"			=>		array(

			// 	'False'			=>		'false',

			// 	'True'			=>		'true',

			// )

   //      ),

   //      array(

   //          "type" 			=> 	"dropdown",

			// "heading" 		=> 	__( 'Move With Handle', 'before' ),

			// "param_name" 	=> 	"handle",

			// "description" 	=> 	__( 'Allow a user to swipe anywhere on the image to control slider movement.', 'before' ),

			// "group" 		=> 	'Settings',

			// "value"			=>		array(

			// 	'True'			=>		'true',

			// 	'False'			=>		'false',

			// )

   //      ),

   //      array(

   //          "type" 			=> 	"dropdown",

			// "heading" 		=> 	__( 'Click To Move', 'before' ),

			// "param_name" 	=> 	"onclick",

			// "description" 	=> 	__( 'Allow a user to click (or tap) anywhere on the image to move the slider to that location.', 'before' ),

			// "group" 		=> 	'Settings',

			// "value"			=>		array(

			// 	'True'			=>		'true',

			// 	'False'			=>		'false',

			// )

   //      ),

	),

) );