<?php

vc_map(array(

    "name" 			=> "Heading",

    "category" 		=> 'Templates & Addons',

    "description"	=> "",

    "base" 			=> "tavc_heading",

    "class" 		=> "",

    "icon" 			=> "tavc_icon",

    

    "params" 	=> array(

        array(

            "type" => "textfield",

            "heading" => __("Title", 'tavc'),

            "param_name" => "title",

            "description" => __("", 'tavc')

        ),

        array(

            "type" => "textfield",

            "heading" => __("Title Highlight", 'tavc'),

            "param_name" => "title_hlt",

            "description" => __("You can use this field to highlight your title part, see demo", 'tavc')

        ),         

        array(

            "type" => "textarea",

            "heading" => __("Description", 'tavc'),

            "param_name" => "desc",

            "description" => __("keep blank if dont need", 'tavc')

        ),

        array(

            "type" => "dropdown",

            "holder" => "",

            "class" => "",

            "heading" => __("Heading Font", "asvc"),

            "param_name" => "heading_font",

            "value" => tavc_google_font(),

            //"std" => 'Advent+Pro',

            'group' => 'Styles',

        ),

        array(

            'type'        => 'prime_slider',

            'heading'     => __( 'Heading Font Size', 'asvc' ),

            'param_name'  => 'heading_f_size',

            "value"       => 36,

            "min"         => 0,

            "max"         => 100,

            "step"        => 1,

            "unit"        => "px",

            "group"       => "Styles"

        ),

        array(

            "type"        => "colorpicker",

            "class"       => "",

            "heading"     => __( "Heading Font color", "asvc" ),

            "param_name"  => "heading_color",

            "group"       => "Styles"

        ),

        array(

            "type" => "dropdown",

            "heading" => __("Heading Font Style", "asvc"),

            "param_name" => "heading_font_style",

            "value" => array(

                "None" => "",

                "Italic" => "italic",

            ),

            "group"       => "Styles"

        ),

        array(

            "type" => "hvc_notice",

            "class" => "",

            'heading' => __('<h3 class="hvc_notice" align="center">Description Font Styles</h3>', 'hvc'),

            "param_name" => "hvc_notice_param_1",

            "value" => '',

            "group"       => "Styles"

        ),                                 

        array(

            "type" => "dropdown",

            "holder" => "",

            "class" => "",

            "heading" => __("Description Font", "asvc"),

            "param_name" => "desc_font",

            "value" => tavc_google_font(),

            'group' => 'Styles',

        ),

        array(

            'type'        => 'prime_slider',

            'heading'     => __( 'Description Font Size', 'asvc' ),

            'param_name'  => 'desc_f_size',

            "value"       => 17,

            "min"         => 0,

            "max"         => 100,

            "step"        => 1,

            "unit"        => "px",

            "group"       => "Styles"

        ),

        array(

            "type"        => "colorpicker",

            "class"       => "",

            "heading"     => __( "Description Font color", "asvc" ),

            "param_name"  => "desc_color",

            "group"       => "Styles"

        ),

        array(

            "type" => "dropdown",

            "heading" => __("Description Font Style", "asvc"),

            "param_name" => "desc_font_style",

            "value" => array(

                "None" => "",

                "Italic" => "italic",

            ),

            "group"       => "Styles"

        ),                                

        array(

            "type" => "textfield",

            "heading" => esc_attr__("Extra class name", 'tavc'),

            "param_name" => "el_class",

            "description" => esc_attr__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'tavc')

        ),        



    )

    

));



function tavc_heading_shortcode($atts, $content = null) {

    extract(shortcode_atts(array(

    

        'title' => '',

        'desc' => '',

        'title_hlt' => '',

        'heading_font' => '',

        'heading_f_size' => '',

        'heading_color' => '',

        'heading_font_style' => '',

        'desc_font' => '',

        'desc_f_size' => '',

        'desc_color' => '',

        'desc_font_style' => '',        

        'el_class' =>'',



    ), $atts));    

    

    $html = '';

    

          

    $heading_styles = '';

    if($heading_font != ''){

        $html .= '<style>@import url(https://fonts.googleapis.com/css?family='.$heading_font.');</style>';

    }

    if($heading_font != ''){

        $heading_font = str_replace('+', ' ', $heading_font);

        $heading_styles .= ' font-family: '.$heading_font.'; ';

    }

    if(!empty($heading_f_size)){

        $heading_styles .= ' font-size: '.$heading_f_size.'px; ';

    }    

    if(!empty($heading_color)){

        $heading_styles .= ' color: '.$heading_color.'; ';

    }

    if($heading_font_style == 'italic'){

        $heading_styles .= ' font-style: '.$heading_font_style.'; ';

    }    

    

    $desc_styles = '';

    if($desc_font != ''){

        $html .= '<style>@import url(https://fonts.googleapis.com/css?family='.$desc_font.');</style>';

    }

    if($desc_font != ''){

        $desc_font = str_replace('+', ' ', $desc_font);

        $desc_styles .= ' font-family: '.$desc_font.'; ';

    }

    if(!empty($desc_f_size)){

        $desc_styles .= ' font-size: '.$desc_f_size.'px; ';

    }    

    if(!empty($desc_color)){

        $desc_styles .= ' color: '.$desc_color.'; ';

    }

    if($desc_font_style == 'italic'){

        $desc_styles .= ' font-style: '.$desc_font_style.'; ';

    }

    

        

    $html .= '<div class="section-heading center-holder '.$el_class.'">

            <h2 style="'.$heading_styles.'" class="bold">'.$title.' <span class="italic libre-baskerville primary-color">'.$title_hlt.'</span></h2>

            <div class="section-heading-line"></div>

            <p style="'.$desc_styles.'">'.$desc.'</p>

        </div>';

    



    return $html;

}



add_shortcode("tavc_heading", "tavc_heading_shortcode");