<?php

vc_map(array(

    "name" 			=> "Service v2",

    "category" 		=> 'Templates & Addons',

    "description"	=> "",

    "base" 			=> "tavc_service_v2",

    "class" 		=> "",

    "icon" 			=> "tavc_icon",

    

    "params" 	=> array(

        array(

            "type" => "attach_image",

            "heading" => __("Image", "tavc"),

            "param_name" => "image",

            "value" => "",

            "description" => __("perfect size is: 358x239", "tavc")

        ),

        array(

            "type" => "textfield",

            "heading" => __("Title", 'tavc'),

            "param_name" => "title",

            "description" => __("", 'tavc')

        ),

        array(

            "type" => "textfield",

            "heading" => __("Title Category", 'tavc'),

            "param_name" => "title_cat",

            "description" => __("ex: Advisory, or leave the field blank", 'tavc')

        ),                 

        array(

            "type" => "textarea",

            "heading" => __("Description", 'tavc'),

            "param_name" => "desc",

            "description" => __("", 'tavc')

        ),

        array(

            "type" => "dropdown",

            "class" => "",

            "heading" => __("Show Button:", "tavc"),

            "param_name" => "show_btn",

            "value" => array(

                __("Yes","tavc") => "yes",

                __("No","tavc") => "",

            ),

        ),

        array(

            "type" => "textfield",

            "heading" => __("Button Text", 'tavc'),

            "param_name" => "btn_text",

            "description" => __("", 'tavc'),

            'dependency' => array(

                'element' => 'show_btn',

                'value' => 'yes',

            ),

        ),

        array(

            "type" => "textfield",

            "heading" => __("Button URL", 'tavc'),

            "param_name" => "btn_url",

            "description" => __("", 'tavc'),

            'dependency' => array(

                'element' => 'show_btn',

                'value' => 'yes',

            ),

        ),        

        array(

            "type" => "dropdown",

            "holder" => "",

            "class" => "",

            "heading" => __("Heading Font", "asvc"),

            "param_name" => "heading_font",

            "value" => tavc_google_font(),

            //"std" => 'Advent+Pro',

            'group' => 'Styles',

        ),

        array(

            'type'        => 'prime_slider',

            'heading'     => __( 'Heading Font Size', 'asvc' ),

            'param_name'  => 'heading_f_size',

            "value"       => 18,

            "min"         => 0,

            "max"         => 100,

            "step"        => 1,

            "unit"        => "px",

            "description" => __("Choose heading font size as pixel. Default is 18px", "asvc"),

            "group"       => "Styles"

        ),

        array(

            "type"        => "colorpicker",

            "class"       => "",

            "heading"     => __( "Heading Font color", "asvc" ),

            "param_name"  => "heading_color",

            "description" => __( "Choose heading color", "asvc" ),

            "group"       => "Styles"

        ),

        array(

            "type" => "dropdown",

            "heading" => __("Heading Font Style", "asvc"),

            "param_name" => "heading_font_style",

            "value" => array(

                "None" => "",

                "Italic" => "italic",

            ),

            "group"       => "Styles"

        ),

        array(

            "type" => "hvc_notice",

            "class" => "",

            'heading' => __('<h3 class="hvc_notice" align="center">Description Font Styles</h3>', 'hvc'),

            "param_name" => "hvc_notice_param_1",

            "value" => '',

            "group"       => "Styles"

        ),                                 

        array(

            "type" => "dropdown",

            "holder" => "",

            "class" => "",

            "heading" => __("Description Font", "asvc"),

            "param_name" => "desc_font",

            "value" => tavc_google_font(),

            'group' => 'Styles',

        ),

        array(

            'type'        => 'prime_slider',

            'heading'     => __( 'Description Font Size', 'asvc' ),

            'param_name'  => 'desc_f_size',

            "value"       => 15,

            "min"         => 0,

            "max"         => 100,

            "step"        => 1,

            "unit"        => "px",

            "description" => __("Chose description font size as pixel. Default is 15px", "asvc"),

            "group"       => "Styles"

        ),

        array(

            "type"        => "colorpicker",

            "class"       => "",

            "heading"     => __( "Description Font color", "asvc" ),

            "param_name"  => "desc_color",

            "description" => __( "Choose description color", "asvc" ),

            "group"       => "Styles"

        ),

        array(

            "type" => "dropdown",

            "heading" => __("Description Font Style", "asvc"),

            "param_name" => "desc_font_style",

            "value" => array(

                "None" => "",

                "Italic" => "italic",

            ),

            "group"       => "Styles"

        ),        

        array(

            "type" => "textfield",

            "heading" => esc_attr__("Extra class name", 'tavc'),

            "param_name" => "el_class",

            "description" => esc_attr__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'tavc')

        ),        



    )

    

));



function tavc_service_v2_shortcode($atts, $content = null) {

    extract(shortcode_atts(array(

    

        'image' => '',

        'title' => '',

        'title_cat' => '',

        'desc' => '',

        'show_btn' => '',

        'btn_text' => '',

        'btn_url' => '',

        'heading_font' => '',

        'heading_f_size' => '',

        'heading_color' => '',

        'heading_font_style' => '',

        'desc_font' => '',

        'desc_f_size' => '',

        'desc_color' => '',

        'desc_font_style' => '',        

        'el_class' =>'',



    ), $atts));    

    

    //$image_url = wp_get_attachment_url( $image, 'full' );

    //$image = aq_resize( $image_url, 296, 289, false ); //resize & crop the image

    //var_dump($image);

    $image = wp_get_attachment_image_src( $image, 'full' );

    $html = '';      

    

    $heading_styles = '';

    if($heading_font != ''){

        $html .= '<style>@import url(https://fonts.googleapis.com/css?family='.$heading_font.');</style>';

    }

    if($heading_font != ''){

        $heading_font = str_replace('+', ' ', $heading_font);

        $heading_styles .= ' font-family: '.$heading_font.'; ';

    }

    if(!empty($heading_f_size)){

        $heading_styles .= ' font-size: '.$heading_f_size.'px; ';

    }    

    if(!empty($heading_color)){

        $heading_styles .= ' color: '.$heading_color.'; ';

    }

    if($heading_font_style == 'italic'){

        $heading_styles .= ' font-style: '.$heading_font_style.'; ';

    }    

    

    $desc_styles = '';

    if($desc_font != ''){

        $html .= '<style>@import url(https://fonts.googleapis.com/css?family='.$desc_font.');</style>';

    }

    if($desc_font != ''){

        $desc_font = str_replace('+', ' ', $desc_font);

        $desc_styles .= ' font-family: '.$desc_font.'; ';

    }

    if(!empty($desc_f_size)){

        $desc_styles .= ' font-size: '.$desc_f_size.'px; ';

    }    

    if(!empty($desc_color)){

        $desc_styles .= ' color: '.$desc_color.'; ';

    }

    if($desc_font_style == 'italic'){

        $desc_styles .= ' font-style: '.$desc_font_style.'; ';

    }

    

        

    $html_btn = '';

    if (!empty($btn_text)):

        $html_btn = '<div class="service-block-button">

                        <a href="'.$btn_url.'">'.$btn_text.' <i class="fa fa-chevron-right"></i></a>

                    </div>';

    endif;

    

    $html_title = '';

    if (!empty($title_cat)):

        $html_title = '<h6>'.$title_cat.'</h6>';

    endif;    

    

    $html .= '<div class="service-block '.$el_class.'">

                    <img src="'.$image[0].'" alt="">

                    <div class="service-block-inner">

                        '.$html_title.'

                        <h4 style="'.$heading_styles.'">'.$title.'</h4>

                        <p style="'.$desc_styles.'">'.$desc.'</p>

                        

                        '.$html_btn.'

                        											

                    </div>

                </div>';

    



    return $html;

}



add_shortcode("tavc_service_v2", "tavc_service_v2_shortcode");