/**

 * @namespace WPGMZA

 * @module GoogleTextOverlay

 * @requires WPGMZA.GoogleText

 */

jQuery(function($) {

	

	WPGMZA.GoogleTextOverlay = function(options)

	{

		this.element = $("<div></div>");

		

		console.log(options);

		

		if(!options)

			options = {};

		

		if(options.text)

			this.element.text(options.text);

		

		if(options.map)

			this.setMap(map.googleMap);

	}

	

	if(window.google && google.maps && google.maps.OverlayView)

		WPGMZA.GoogleTextOverlay.prototype = new google.maps.OverlayView();

	

	WPGMZA.GoogleTextOverlay.prototype.onAdd = function()

	{

		var overlayProjection = this.getProjection();

		var position = overlayProjection.fromLatLngToDivPixel(this.position.toGoogleLatLng());

		

		this.element.css({

			position: "absolute",

			left: position.x + "px",

			top: position.y + "px"

		});

		

		var panes = this.getPanes();

		panes.floatPane.appendChild(this.element[0]);

	}

	

	WPGMZA.GoogleTextOverlay.prototype.draw = function()

	{

		var overlayProjection = this.getProjection();

		var position = overlayProjection.fromLatLngToDivPixel(this.position.toGoogleLatLng());

		

		this.element.css({

			position: "absolute",

			left: position.x + "px",

			top: position.y + "px"

		});

	}

	

	WPGMZA.GoogleTextOverlay.prototype.onRemove = function()

	{

		this.element.remove();

	}

	

	WPGMZA.GoogleTextOverlay.prototype.hide = function()

	{

		this.element.hide();

	}

	

	WPGMZA.GoogleTextOverlay.prototype.show = function()

	{

		this.element.show();

	}

	

	WPGMZA.GoogleTextOverlay.prototype.toggle = function()

	{

		if(this.element.is(":visible"))

			this.element.hide();

		else

			this.element.show();

	}

	

});